=== debian/watch ===
version=3
http://sf.net/qjoypad/qjoypad-(.*)\.tar\.gz
