## qjoypad 4.3.1

=== debian/changelog ===
qjoypad (4.3.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113443)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 19:42:18 +0300

qjoypad (4.3.1-3) unstable; urgency=medium

  * Fix the watch file.
  * Tabs -> spaces in d/copyright.
  * dh 13.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 29 Sep 2021 20:58:48 +0200

qjoypad (4.3.1-2) unstable; urgency=medium

  * Use https:// for the copyright format.
  * Enable hardening.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 10 Jan 2020 17:38:54 +0100

qjoypad (4.3.1-1) unstable; urgency=medium

  * Reintroduce the package.  Closes: #947180.
  * New maintainer, thanks Jordan for your prior work!
  * Switch to a new upstream.  Closes: #870122.
  * QT 5.  Closes: #875137.
  * Set arch to linux-any.  Closes: #863132.
  * Drop the Debian menu, use upstream .desktop.
  * Generally modernize the package.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 22 Dec 2019 17:20:04 +0100
