=== debian/control ===
Source: qjoypad
Section: utils
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: cmake,
               debhelper-compat (=13),
               libqt5x11extras5-dev,
               libudev-dev,
               libxtst-dev,
               pkg-config,
               qtbase5-dev,
               qttools5-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/panzi/qjoypad
Vcs-Browser: https://github.com/kilobyte/qjoypad/tree/debian
Vcs-Git: https://github.com/kilobyte/qjoypad -b debian

Package: qjoypad
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: map gamepad/joystick events to mouse/keyboard event
 QJoyPad takes input from a gamepad or joystick and translates it into
 key strokes or mouse actions, letting you control any X-Windows program
 with your game controller.  This lets you play all those games that for
 some reason don't have joystick support with your joystick.
