=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/qjoypad-$1\.tar\.gz/ \
  https://github.com/panzi/qjoypad/tags .*/tags/v?(\d\S*)\.tar\.gz
